import React from 'react'
import Svg, { Defs, LinearGradient, Stop, G, Path } from 'react-native-svg'

const SvgComponent = props => (
  <Svg width="1em" height="1em" viewBox="0 0 26 23" {...props}>
    <Defs>
      <LinearGradient x1="50%" y1="100%" x2="50%" y2="0%" id="linearGradient-1">
        <Stop stopColor="#F78B00" offset="0%" />
        <Stop stopColor="#FAC000" offset="100%" />
      </LinearGradient>
    </Defs>
    <G
      id="0716\u7248\u672C"
      stroke="none"
      strokeWidth={1}
      fill="none"
      fillRule="evenodd"
    >
      <G
        id="0716\u4FEE\u6539\u7248\u672C"
        transform="translate(-37.000000, -546.000000)"
        fill="url(#linearGradient-1)"
        fillRule="nonzero"
      >
        <G
          id="\u8AB2\u7A0B\u5831\u540D"
          transform="translate(15.000000, 523.000000)"
        >
          <G
            id="fontawesome-webfont-f-02-d"
            transform="translate(22.000000, 23.000000)"
          >
            <Path
              d="M25.5970958,5.24088542 C26.0134301,5.80989583 26.1071054,6.45377604 25.8781215,7.17252604 L21.5846735,20.7389323 C21.3869146,21.3778212 20.9887949,21.914388 20.3903143,22.3486328 C19.7918337,22.7828776 19.1543217,23 18.4777784,23 L4.06740561,23 C3.26596198,23 2.49314134,22.7329644 1.74894368,22.1988932 C1.00474602,21.664822 0.486930184,21.0084635 0.195496133,20.2298177 C-0.0543044787,19.5609809 -0.0647128427,18.9270833 0.164271056,18.328125 C0.164271056,18.2881944 0.179883594,18.1534288 0.211108671,17.9238281 C0.242333747,17.6942274 0.26315046,17.5095486 0.273558824,17.3697917 C0.283967188,17.2899306 0.268354649,17.1826172 0.226721209,17.0478516 C0.185087769,16.9130859 0.16947523,16.8157552 0.179883594,16.7558594 C0.200700307,16.6460504 0.242333747,16.5412326 0.3047839,16.4414062 C0.367234053,16.3415799 0.453103013,16.2242839 0.56239078,16.0895182 C0.671678548,15.9547526 0.757547508,15.8374566 0.819997661,15.7376302 C1.05938991,15.3582899 1.29357798,14.9015842 1.52256188,14.367513 C1.75154578,13.8334418 1.90767116,13.3767361 1.99093803,12.9973958 C2.0221631,12.8975694 2.0247652,12.7478299 1.99874429,12.5481771 C1.97272339,12.3485243 1.97012131,12.2087674 1.99093803,12.1289062 C2.0221631,12.0190972 2.11063416,11.8793403 2.25635118,11.7096354 C2.40206819,11.5399306 2.49053925,11.4251302 2.52176432,11.3652344 C2.74033986,11.0058594 2.95891539,10.546658 3.17749093,9.98763021 C3.39606646,9.42860244 3.52617094,8.97938369 3.56780438,8.63997396 C3.57821275,8.55013021 3.56520229,8.39040798 3.52877304,8.16080729 C3.49234379,7.9312066 3.49494587,7.79144965 3.53657931,7.74153646 C3.57821275,7.61176215 3.69270469,7.45952691 3.88005515,7.28483073 C4.06740561,7.11013454 4.18189755,6.99782986 4.22353099,6.94791667 C4.42128981,6.68836806 4.64246742,6.26660156 4.88706386,5.68261719 C5.1316603,5.09863281 5.27477522,4.61697048 5.31640866,4.23763021 C5.32681703,4.1577691 5.31120449,4.03049046 5.26957105,3.85579427 C5.22793761,3.68109809 5.21752926,3.54882812 5.23834597,3.45898437 C5.25916268,3.37912327 5.3060003,3.28927952 5.37885882,3.18945312 C5.45171733,3.08962673 5.54539256,2.97482639 5.6598845,2.84505208 C5.77437644,2.71527777 5.8628475,2.61046006 5.92529765,2.53059896 C6.00856452,2.41080729 6.09443348,2.25857204 6.18290453,2.07389323 C6.27137559,1.88921441 6.34943828,1.71451823 6.41709261,1.54980469 C6.48474693,1.38509115 6.56801381,1.20540365 6.66689322,1.01074219 C6.76577262,0.816080729 6.86725412,0.656358502 6.97133771,0.531575521 C7.0754213,0.40679254 7.21333205,0.289496523 7.38506997,0.1796875 C7.55680789,0.0698784772 7.74415835,0.0124782936 7.94712135,0.00748697917 C8.15008435,0.00249566471 8.39728286,0.0299479167 8.68871691,0.08984375 L8.67310438,0.134765625 C9.068622,0.044921875 9.33403515,0 9.46934382,0 L21.3504854,0 C22.1207039,0 22.7139804,0.279513894 23.1303147,0.838541667 C23.5466491,1.39756944 23.6403243,2.04644098 23.4113404,2.78515625 L19.133505,16.3515625 C18.7588041,17.5394965 18.3867052,18.3056641 18.0172085,18.6500651 C17.6477117,18.9944661 16.9789747,19.1666667 16.0109973,19.1666667 L2.44370163,19.1666667 C2.16267595,19.1666667 1.96491712,19.2415365 1.85042518,19.391276 C1.73593324,19.5509983 1.73072905,19.765625 1.83481264,20.0351562 C2.08461325,20.733941 2.83401509,21.0833333 4.08301814,21.0833333 L18.4933909,21.0833333 C18.7952333,21.0833333 19.0866674,21.0059679 19.367693,20.851237 C19.6487187,20.6965061 19.830865,20.4893663 19.9141319,20.2298177 L24.5978933,5.45052083 C24.6707519,5.23090277 24.6967727,4.94639756 24.675956,4.59700521 C25.0714737,4.74674479 25.3785202,4.96137152 25.5970958,5.24088542 Z M8.98535514,5.27083333 C8.9437217,5.40060764 8.95413006,5.51291233 9.01658022,5.6077474 C9.07903037,5.70258246 9.18311396,5.75 9.32883098,5.75 L18.8212542,5.75 C18.9565629,5.75 19.0892695,5.70258246 19.2193739,5.6077474 C19.3494784,5.51291233 19.4353474,5.40060764 19.4769808,5.27083333 L19.8048441,4.3125 C19.8464776,4.18272569 19.8360692,4.070421 19.773619,3.97558594 C19.7111689,3.88075087 19.6070853,3.83333333 19.4613683,3.83333333 L9.96894505,3.83333333 C9.83363638,3.83333333 9.7009298,3.88075087 9.57082532,3.97558594 C9.44072084,4.070421 9.35485188,4.18272569 9.31321844,4.3125 L8.98535514,5.27083333 Z M7.68951447,9.10416667 C7.64788103,9.23394098 7.65828939,9.34624566 7.72073955,9.44108073 C7.7831897,9.53591579 7.88727329,9.58333333 8.03299031,9.58333333 L17.5254135,9.58333333 C17.6607222,9.58333333 17.7934288,9.53591579 17.9235333,9.44108073 C18.0536377,9.34624566 18.1395067,9.23394098 18.1811401,9.10416667 L18.5090034,8.14583333 C18.5506369,8.01605902 18.5402285,7.90375434 18.4777784,7.80891927 C18.4153282,7.71408421 18.3112446,7.66666667 18.1655276,7.66666667 L8.67310438,7.66666667 C8.53779571,7.66666667 8.40508913,7.71408421 8.27498465,7.80891927 C8.14488017,7.90375434 8.05901121,8.01605902 8.01737777,8.14583333 L7.68951447,9.10416667 Z"
              id="Shape"
            />
          </G>
        </G>
      </G>
    </G>
  </Svg>
)

export default SvgComponent
